Zum Hauptinhalt springen
POST
/
crm-object-schemas
/
2026-03
/
schemas
cURL
curl --request POST \
  --url https://api.hubapi.com/crm-object-schemas/2026-03/schemas \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "allowsSensitiveProperties": true,
  "associatedObjects": [
    "<string>"
  ],
  "labels": {
    "plural": "<string>",
    "singular": "<string>"
  },
  "name": "<string>",
  "properties": [
    {
      "fieldType": "<string>",
      "label": "<string>",
      "name": "<string>",
      "type": "bool",
      "description": "<string>",
      "displayOrder": 123,
      "externalOptionsReferenceType": "<string>",
      "formField": true,
      "groupName": "<string>",
      "hasUniqueValue": true,
      "hidden": true,
      "numberDisplayHint": "currency",
      "optionSortStrategy": "ALPHABETICAL",
      "options": [
        {
          "displayOrder": 123,
          "hidden": true,
          "label": "<string>",
          "value": "<string>",
          "description": "<string>"
        }
      ],
      "referencedObjectType": "<string>",
      "searchableInGlobalSearch": true,
      "showCurrencySymbol": true,
      "textDisplayHint": "domain_name"
    }
  ],
  "requiredProperties": [
    "<string>"
  ],
  "searchableProperties": [
    "<string>"
  ],
  "secondaryDisplayProperties": [
    "<string>"
  ],
  "description": "<string>",
  "primaryDisplayProperty": "<string>"
}
'
{
  "allowsSensitiveProperties": true,
  "archived": true,
  "associations": [
    {
      "fromObjectTypeId": "<string>",
      "id": "<string>",
      "toObjectTypeId": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "name": "<string>",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "fullyQualifiedName": "<string>",
  "id": "<string>",
  "labels": {
    "plural": "<string>",
    "singular": "<string>"
  },
  "name": "<string>",
  "objectTypeId": "<string>",
  "properties": [
    {
      "description": "<string>",
      "fieldType": "<string>",
      "groupName": "<string>",
      "label": "<string>",
      "name": "<string>",
      "options": [
        {
          "hidden": true,
          "label": "<string>",
          "value": "<string>",
          "description": "<string>",
          "displayOrder": 123
        }
      ],
      "type": "<string>",
      "archived": true,
      "archivedAt": "2023-11-07T05:31:56Z",
      "calculated": true,
      "calculationFormula": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "createdUserId": "<string>",
      "dataSensitivity": "highly_sensitive",
      "dateDisplayHint": "absolute",
      "displayOrder": 123,
      "externalOptions": true,
      "formField": true,
      "hasUniqueValue": true,
      "hidden": false,
      "hubspotDefined": true,
      "modificationMetadata": {
        "archivable": true,
        "readOnlyDefinition": true,
        "readOnlyValue": true,
        "readOnlyOptions": true
      },
      "referencedObjectType": "<string>",
      "sensitiveDataCategories": [
        "<string>"
      ],
      "showCurrencySymbol": true,
      "updatedAt": "2023-11-07T05:31:56Z",
      "updatedUserId": "<string>"
    }
  ],
  "requiredProperties": [
    "<string>"
  ],
  "searchableProperties": [
    "<string>"
  ],
  "secondaryDisplayProperties": [
    "<string>"
  ],
  "createdAt": "2023-11-07T05:31:56Z",
  "createdByUserId": 123,
  "description": "<string>",
  "primaryDisplayProperty": "<string>",
  "updatedAt": "2023-11-07T05:31:56Z",
  "updatedByUserId": 123
}

Supported products

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json
allowsSensitiveProperties
boolean
erforderlich
associatedObjects
string[]
erforderlich

Associations defined for this object type.

labels
object
erforderlich
name
string
erforderlich

A unique name for this object. For internal use only.

properties
object[]
erforderlich

Properties defined for this object type.

requiredProperties
string[]
erforderlich

The names of properties that should be required when creating an object of this type.

searchableProperties
string[]
erforderlich

Names of properties that will be indexed for this object type in by HubSpot's product search.

secondaryDisplayProperties
string[]
erforderlich

The names of secondary properties for this object. These will be displayed as secondary on the HubSpot record page for this object type.

description
string
primaryDisplayProperty
string

The name of the primary property for this object. This will be displayed as primary on the HubSpot record page for this object type.

Antwort

successful operation

allowsSensitiveProperties
boolean
erforderlich
archived
boolean
erforderlich
associations
object[]
erforderlich

Associations defined for a given object type.

fullyQualifiedName
string
erforderlich

An assigned unique ID for the object, including portal ID and object name.

id
string
erforderlich

A unique ID for this schema's object type. Will be defined as {meta-type}-{unique ID}.

labels
object
erforderlich
name
string
erforderlich

A unique name for the schema's object type.

objectTypeId
string
erforderlich
properties
object[]
erforderlich

Properties defined for this object type.

requiredProperties
string[]
erforderlich

The names of properties that should be required when creating an object of this type.

searchableProperties
string[]
erforderlich

Names of properties that will be indexed for this object type in by HubSpot's product search.

secondaryDisplayProperties
string[]
erforderlich

The names of secondary properties for this object. These will be displayed as secondary on the HubSpot record page for this object type.

createdAt
string<date-time>

When the object schema was created.

createdByUserId
integer<int32>
description
string
primaryDisplayProperty
string

The name of the primary property for this object. This will be displayed as primary on the HubSpot record page for this object type.

updatedAt
string<date-time>

When the object schema was last updated.

updatedByUserId
integer<int32>
Last modified on April 9, 2026